      program testPrintWC
      implicit none

      include 'parameters.h'
      include 'input_output.h'
      include 'wave_constants.h'

c     Input:
      real*8 rho,mom
      integer dir,centSide
      integer labelLgth
      character*80 label
      character*80 centSideCh
c     Auxiliary:
      real*8 rhoWC_min,rhoWC_max

      call readEOSConst()

      open(fid,file='waveCurve.inp',status='old')
      read(fid,*) rho,mom,dir,centSideCh,label
      close(fid)

      if (centSideCh(1:1).eq.'A' .or. centSideCh(1:1).eq.'a') then
         centSide=+1
      elseif (centSideCh(1:1).eq.'B' .or. centSideCh(1:1).eq.'b') then
         centSide=-1
      else
         stop 'centSideCh must start with either A or B'  
      endif

      write(*,*) rho,mom,dir,centSide
      write(*,*)

      labelLgth = index(label,' ')-1

      rhoWC_min = rho_min
      rhoWC_max = 20.d0*rho

      call printWC(rho,mom,dir,centSide,
     &        rhoWC_min,rhoWC_max,labelLgth,label)

      end
